Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::HammingComputer< CODE_SIZE > Struct Template Reference
Inheritance diagram for faiss::HammingComputer< CODE_SIZE >:

## Public Member Functions
| HammingComputer (const uint8_t *a, int code_size)
Public Member Functions inherited from faiss::HammingComputerM8
| HammingComputerM8 (const uint8_t *a8, int code_size)
void | set (const uint8_t *a8, int code_size)
int | hamming (const uint8_t *b8) const

## Additional Inherited Members
Public Attributes inherited from faiss::HammingComputerM8
const uint64_t * | a
int | n

## Detailed Description

### template<int CODE_SIZE>
struct faiss::HammingComputer< CODE_SIZE >

Definition at line 403 of file hamming.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/hamming.h